<?php
	include '../init.php';
    include 'Compra.php';
    include '../empleado/Empleado.php';
    include '../proveedor/Proveedor.php';
    include '../sucursal/Sucursal.php';
	
	$busqueda = null;
	if(isset($_GET['busqueda'])) $busqueda = $_GET['busqueda'];

	$pageno = null;
    if (isset($_GET['pageno'])) $pageno = $_GET['pageno'];
    else $pageno = 1;

    $no_registros = 15;
    $pagina = ($pageno - 1) * $no_registros;
    $registros = null;
    if(isset($_GET['busqueda'])) $registros = Compra::index($pagina, $busqueda);
    else $registros = Compra::index($pagina);
    $total_pages = ceil(intval($registros['quantity']['quantity']) / $no_registros);

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="">
    <?php include '../librerias/librerias_header.php' ?>
    <style>
        .total {
            color: red;
        }
    </style>
  <!-- Required Meta Tags Always Come First -->
   <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Favicon -->
  <link rel="shortcut icon" href="../favicon.ico">

  <!-- Google Fonts -->
  <link href="//fonts.googleapis.com/css?family=Roboto:300,400,500" rel="stylesheet">

  <!-- CSS Implementing Plugins -->
  <link rel="stylesheet" href="assets/vendor/font-awesome/css/all.min.css">
  <link rel="stylesheet" href="assets/vendor/hs-megamenu/src/hs.megamenu.css">
  <link rel="stylesheet" href="assets/vendor/malihu-custom-scrollbar-plugin/jquery.mCustomScrollbar.css">
  <link rel="stylesheet" href="assets/vendor/custombox/dist/custombox.min.css">
  <link rel="stylesheet" href="assets/vendor/animate.css/animate.min.css">
  <link rel="stylesheet" href="assets/vendor/slick-carousel/slick/slick.css">
  <link rel="stylesheet" href="assets/vendor/dzsparallaxer/dzsparallaxer.css">
  <link rel="stylesheet" href="assets/vendor/cubeportfolio/css/cubeportfolio.min.css">

  <!-- CSS Space Template -->
  <link rel="stylesheet" href="assets/css/theme.css">
</head>
<?php
include 'encabezado.php';
?>
<br><br><br>
<body>
	<div class="container-fluid">
		<div class="row">
			<!-- CONTENT -->
			<div class="col">
				<div class="container mt-2">
				    <div class="row justify-content-center">
				        <div class="col">
				            <?php if(isset($_GET['success'])){ ?>
				                <div class="alert alert-success alert-dissmisible fade show" role="alert">
				                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
				                        <span aria-hidden="true">&times;</span>
				                    </button>
				                    <strong>Informacion:</strong>
				                    	<p><?= $_GET['success'] ?></p>
				                </div>
				            <?php } ?>
				        </div>
				    </div>
				</div>
				<div class="container mt-2">
				    <div class="row justify-content-center">
				        <div class="col">
				            <?php if(isset($_GET['info'])){ ?>
				                <div class="alert alert-info alert-dissmisible fade show" role="alert">
				                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
				                        <span aria-hidden="true">&times;</span>
				                    </button>
				                    <strong>Informacion:</strong>
				                    	<p><?= $_GET['info'] ?></p>
				                </div>
				            <?php } ?>
				        </div>
				    </div>
				</div>
				<div class="container mt-2">
				    <div class="row justify-content-center">
				        <div class="col">
				            <?php if(isset($_GET['error'])){ ?>
				                <div class="alert alert-warning alert-dissmisible fade show" role="alert">
				                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
				                        <span aria-hidden="true">&times;</span>
				                    </button>
				                    <strong>Informacion:</strong>
				                    	<p><?= $_GET['error'] ?></p>
				                </div>
				            <?php } ?>
				        </div>
				    </div>
				</div>
				<!-- <div class="container mt-3 mb-3"> -->
                <div class="container-fluid mt-2">
				    <div class="row justify-content-center">
				        <div class="col">
				            <div class="card">
				                <div class="card-header">
				                    <div class="row">
				                        <div class="col">
				                            <p><strong><a href="index.php">Compras: </a></strong><span class="badge bage-pill badge-dark badge-sm"><?= $registros['quantity']['quantity'] ?></span></p>
											<a href="create.php" class="btn btn-light btn-sm">Nueva Compra</a>
				                        </div>
				                        <div class="row justify-content-right">
				                            <div class="col">
				                                <form method="GET" class="form-inline mb-2 mr-2" action="index.php">
				                                    <div class="input-field ml-2">
				                                    	<?php if($busqueda != null){ ?>
				                                        	<input type="text" name="busqueda" value="<?php echo $busqueda ?>" class="form-control" placeholder="Buscar factura" size="30">
				                                    	<?php } else { ?>
				                                    		<input type="text" name="busqueda" class="form-control" placeholder="Buscar por numero de factura" size="30">
				                                    	<?php } ?>
				                                    </div>
				                                    <div class="input-field ml-2">
				                                    	<button type="submit" class="btn btn-primary">Buscar</button>
				                                    </div>
				                                </form>
				                            </div>
				                        </div>
				                    </div>
				                </div>
				                <div class="card-body">
				                    <table class="table table-striped" style="box-shadow: 1px 1px 5px #888888">
				                        <thead class="thead-dark">
				                            <tr>
												<th width="10%">Factura</th>
				                                <th width="10%">Fecha</th>
												<th width="10%">Total</th>
												<th width="10%">Estado</th>
												<th width="10%">Sucursal</th>
												<th width="10%">Empleado</th>
                                                <th width="10%">Proveedor</th>
                                                <th width="10%">Ver</th>
                                                <th width="10%">Anular</th>
				                            </tr>
				                        </thead>
				                        <tbody>
				                            <?php foreach($registros['data'] as $registro) { ?>
                                                <?php
                                                    $sucursal = Sucursal::edit($registro['sucursal_idsucursal']);
                                                    $empleado = Empleado::edit($registro['empleado_idempleado']);
                                                    $proveedor = Proveedor::edit($registro['proveedor_idproveedor']);
                                                ?>
				                                <tr>
													<td><strong># <?= $registro['factura'] ?></strong></td>
													<td><?= $registro['fecha'] ?></td>
				                                    <td>Q. <?= $registro['totalcompra'] ?></td>
													<td><?= $registro['estado'] ?></td>
                                                    <td><?= $sucursal['numero'] . '. ' . $sucursal['nombre'] ?></td>
                                                    <td><?= $empleado['nombre1'] . ' ' . $empleado['apellido1'] ?></td>
                                                    <td><?= $proveedor['nombre'] ?></td>
													<td>
                                                        <form action="pdf.php" method="GET">
															<input type="hidden" name="id" value="<?= $registro['idcompra'] ?>">
                                                            <button type="submit" class="btn btn-danger btn-sm">Ver</button>
                                                        </form>
                                                    </td>
                                                    <td>
                                                        <form method="POST" action="anulate.php" id="anular_compra<?= $registro['idcompra'] ?>">
                                                            <input type="hidden" name="id" value="<?= $registro['idcompra'] ?>">
                                                            <button type="submit" class="btn btn-warning btn-sm" <?php if($registro['estado'] == 'ANULADA') echo 'disabled' ?>>Anular</button>
                                                        </form>
                                                    </td>
				                                </tr>
				                            <?php } ?>
				                        </tbody>
				                    </table>
				                    <ul class="pagination">
								        <li class="page-item"><a href="?pageno=1&busqueda=<?= $busqueda ?>" class="page-link">Primero</a></li>
								        <li class="<?php if($pageno <= 1){ echo 'disabled'; } ?> page-item">
								            <a href="<?php if($pageno <= 1){ echo '#'; } else { echo "?pageno=" . ($pageno - 1); } ?>&busqueda=<?= $busqueda ?>" class="page-link" aria-label="Anterior">
									            <span aria-hidden="true">&laquo;</span>
					                            <span class="sr-only">Anterior</span>
				                            </a>
								        </li>
								        <li class="page-item">
								        	<a href="#" class="page-link">
								        		<?= $pageno ?>
								        	</a>
								        </li>
								        <li class="<?php if($pageno >= $total_pages){ echo 'disabled'; } ?> page-item">
								            <a href="<?php if($pageno >= $total_pages){ echo '#'; } else { echo "?pageno=" . ($pageno + 1); } ?>&busqueda=<?= $busqueda ?>" class="page-link" aria-label="Siguiente">
									            <span aria-hidden="true">&raquo;</span>
					                            <span class="sr-only">Siguiente</span>
				                            </a>
								        </li>
								        <li class="page-item"><a href="?pageno=<?= $total_pages; ?>&busqueda=<?= $busqueda ?>" class="page-link">Ultimo</a></li>
								    </ul>
				                </div>
				            </div>
				        </div>
				    </div>
				</div>
            </div>
            <!-- END CONTENT -->
		</div>
	</div>

	<?php include '../librerias/librerias_footer.php' ?>

	<script>
	    <?php foreach($registros['data'] as $registro) { ?>
	    	$('#anular_compra<?= $registro['idcompra'] ?>').one('submit', function(event){
		    	event.preventDefault()
		    	let eliminar = confirm('Seguro que desea anular esta factura?')
		    	if(eliminar) $(this).submit()
		    })
		<?php } ?>
	</script>
 <!-- ========== ARCHIVOS NECESARIOS PARA EL FUNCIONAMIENTO ========== -->
  <a class="js-go-to u-go-to" href="javascript:;"
    data-position='{"bottom": 15, "right": 15 }'
    data-type="fixed"
    data-offset-top="400"
    data-compensation="#header"
    data-show-effect="slideInUp"
    data-hide-effect="slideOutDown">
    <span class="fa fa-arrow-up u-go-to__inner"></span>
  </a>
  <!-- End Go to Top -->

  <!-- JS Global Compulsory -->
  <script src="../lector/assets/vendor/jquery/dist/jquery.min.js"></script>
  <script src="../lector/assets/vendor/jquery-migrate/dist/jquery-migrate.min.js"></script>
  <script src="../lector/assets/vendor/popper.js/dist/umd/popper.min.js"></script>
  <script src="../lector/assets/vendor/bootstrap/bootstrap.min.js"></script>

  <!-- JS Implementing Plugins -->
  <script src="../lector/assets/vendor/hs-megamenu/src/hs.megamenu.js"></script>
  <script src="../lector/assets/vendor/jquery-validation/dist/jquery.validate.min.js"></script>
  <script src="../lector/assets/vendor/malihu-custom-scrollbar-plugin/jquery.mCustomScrollbar.concat.min.js"></script>
  <script src="../lector/assets/vendor/custombox/dist/custombox.min.js"></script>
  <script src="../lector/assets/vendor/custombox/dist/custombox.legacy.min.js"></script>
  <script src="../lector/assets/vendor/slick-carousel/slick/slick.js"></script>
  <script src="../lector/assets/vendor/dzsparallaxer/dzsparallaxer.js"></script>
  <script src="../lector/assets/vendor/cubeportfolio/js/jquery.cubeportfolio.min.js"></script>
  <script src="../lector/assets/vendor/player.js/dist/player.min.js"></script>

  <!-- JS Space -->
  <script src="../lector/assets/js/hs.core.js"></script>
  <script src="../lector/assets/js/components/hs.header.js"></script>
  <script src="../lector/assets/js/components/hs.unfold.js"></script>
  <script src="../lector/assets/js/components/hs.validation.js"></script>
  <script src="../lector/assets/js/helpers/hs.focus-state.js"></script>
  <script src="../lector/assets/js/components/hs.malihu-scrollbar.js"></script>
  <script src="../lector/assets/js/components/hs.modal-window.js"></script>
  <script src="../lector/assets/js/components/hs.show-animation.js"></script>
  <script src="../lector/assets/js/components/hs.slick-carousel.js"></script>
  <script src="../lector/assets/js/components/hs.cubeportfolio.js"></script>
  <script src="../lector/assets/js/components/hs.video-player.js"></script>
  <script src="../lector/assets/js/components/hs.go-to.js"></script>

  <!-- JS Plugins Init. -->
  <script>
    $(window).on('load', function () {
      // initialization of HSMegaMenu component
      $('.js-mega-menu').HSMegaMenu({
        event: 'hover',
        pageContainer: $('.container'),
        breakpoint: 991,
        hideTimeOut: 0
      });
    });

    $(document).on('ready', function () {
      // initialization of header
      $.HSCore.components.HSHeader.init($('#header'));

      // initialization of unfold component
      $.HSCore.components.HSUnfold.init($('[data-unfold-target]'), {
        afterOpen: function () {
          if (!$('body').hasClass('IE11')) {
            $(this).find('input[type="search"]').focus();
          }
        }
      });

      // initialization of form validation
      $.HSCore.components.HSValidation.init('.js-validate', {
        rules: {
          confirmPassword: {
            equalTo: '#password'
          }
        }
      });

      // initialization of forms
      $.HSCore.helpers.HSFocusState.init();

      // initialization of malihu scrollbar
      $.HSCore.components.HSMalihuScrollBar.init($('.js-scrollbar'));

      // initialization of autonomous popups
      $.HSCore.components.HSModalWindow.init('[data-modal-target]', '.js-signup-modal', {
        autonomous: true
      });

      // initialization of show animations
      $.HSCore.components.HSShowAnimation.init('.js-animation-link');

      // initialization of slick carousel
      $.HSCore.components.HSSlickCarousel.init('.js-slick-carousel');

      // initialization of cubeportfolio
      $.HSCore.components.HSCubeportfolio.init('.cbp');

      // initialization of video player
      $.HSCore.components.HSVideoPlayer.init('.js-inline-video-player');

      // initialization of go to
      $.HSCore.components.HSGoTo.init('.js-go-to');
    });

  </script>
  <!-- ========== FIN DE ARCHIVOS NECESARIOS ========== -->
</body>
</html>